Name:		pysolfc
Version:	2.21.0
Release:	%mkrel 1
Summary:	A Python 3 solitaire game collection
Source0:	https://sourceforge.net/projects/pysolfc/files/PySolFC/PySolFC-%{version}/PySolFC-%{version}.tar.xz
License:	GPLv3+
Group:		Games/Cards
URL:		http://pysolfc.sourceforge.net/
BuildArch:	noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:	python3-flake8
BuildRequires:	python3-pillow-tk
BuildRequires:	python3-pycotap
BuildRequires:	python3-random2
Requires:	tkinter3
Requires:	python3-imaging
Requires:	python3-pillow-tk
Requires:	python3-random2
Requires:	python3-six
Requires:	pygame
Requires:	python3-attrs
Requires:	python3-configobj
Requires:   	pysolfc-cardsets
Requires:   	python3-pysol-sound-server
Requires:	python3-pysol-cards


%description
PySolFC is a collection of more than 1000 solitaire card games.
Its features include modern look and feel (uses Tile widget set), multiple
card-sets and tableau backgrounds, sound, unlimited undo, player statistics,
a hint system, demo games, a solitaire wizard, support for user written
plug-ins, an integrated HTML help browser, and lots of documentation.

%prep
%setup -qn PySolFC-%{version}
# drop deprecated time.clock
sed -i -e 's,time\.clock,time.perf_counter,g' pysollib/mfxutil.py

%build
%py3_build

%check
export TEST_TAGS=" SKIP_PY2 " TEST_SKIP_TIDYALL=1
%__make test

%install
PYTHONDONTWRITEBYTECODE= %{__python3} setup.py install --skip-build --root=%{buildroot}

# Hack to put /usr/bin/pysol.py as /usr/games pysol
mkdir -p %{buildroot}/%{_gamesbindir}
%define pysol_bin_path %{_gamesbindir}/pysol
%define pysol_orig_path %{_bindir}/pysol.py
mv %{buildroot}/%{pysol_orig_path} %{buildroot}/%{pysol_bin_path}

sed -i -e 's#Exec=.*#Exec=%{_gamesbindir}/pysol#' %{buildroot}%_datadir/applications/pysol.desktop

%find_lang pysol

%files -f pysol.lang
%doc COPYING README.md
%{_gamesbindir}/*
%{python3_sitelib}/*
%{_datadir}/PySolFC
%{_datadir}/applications/pysol.desktop
%{_iconsdir}/hicolor/*/apps/*.png


%changelog
* Sat Sep 09 2023 pp - 2.21.0-1pclos2023
- new version

* Sat Apr 08 2023 pp - 2.20.0-1pclos2023
- new version

* Sat Apr 23 2022 pp - 2.15.0-1pclos2022
- new version

* Wed Oct 14 2020 pp - 2.10.1-2pclos2020
- addes some BR and setup stuff from MGA

* Sun Jul 19 2020 ghostbunny <ghostbunny at gmx dot de> 2.10.1-1pclos2020
- 2.10.1
- add missing Requires for python3-pysol-cards, python3-configobj, python3-attrs

* Thu Feb 28 2019 tex - 2.6.2-1pclos2019
- new version

* Wed Feb 20 2019 tex - 2.6.1-1pclos2019
- new
